Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.filter.thml
Class AbstractTag

    java.lang.Object
      org.crosswire.jsword.book.filter.thml.AbstractTag

All Implemented Interfaces:
  Tag

Direct Known Subclasses:
  AliasTag, AnonymousTag, ATag, BigTag, BlockquoteTag, BrTag, BTag, CenterTag, CitationTag, ColTag, DivTag, FontTag, ForeignTag, HrTag, HTag, IgnoreTag, ImgTag, ITag, LiTag, NameTag, NoteTag, OlTag, PbTag, PTag, RootTag, RowTag, ScripRefTag, ScriptureTag, SmallTag, SubTag, SupTag, SyncTag, TableTag, TdTag, TermTag, ThTag, TrTag, TtTag, UlTag, UTag

    public abstract class AbstractTag

extends Object
implements Tag

The AbstractTag ignores the tag.

Author:
  DM Smith [dmsmith555 at yahoo dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`

Constructor Summary
`AbstractTag()`

Method Summary
`void` | `processContent(org.jdom.Element ele)` Do additional processing of the tag after the element has been created.
`org.jdom.Element` | `processTag(org.jdom.Element ele, Attributes attrs)` Make changes to the specified OSIS element given the attributes passed in the source document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.crosswire.jsword.book.filter.thml.Tag
`getTagName`

Constructor Detail

### AbstractTag

    public AbstractTag()

Method Detail

### processTag

    public org.jdom.Element processTag(org.jdom.Element ele,
                                       Attributes attrs)

  Description copied from interface: `Tag`
  Make changes to the specified OSIS element given the attributes passed in the source document.

  Specified by:
    `processTag` in interface `Tag`
  Parameters:
    `ele` - The OSIS element to use as a parent
    `attrs` - The source document attributes.
  Returns:
    the element to which content is attached

### processContent

    public void processContent(org.jdom.Element ele)

  Description copied from interface: `Tag`
  Do additional processing of the tag after the element has been created.

  Specified by:
    `processContent` in interface `Tag`
  Parameters:
    `ele` - the created element to process

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD